> ## Documentation Index
> Fetch the complete documentation index at: https://docs.events.intrace.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Incident

> Create an incident and optionally link existing threats

## Example Request

```json theme={null}
{
  "title": "Port access disruption in Lagos",
  "description": "Multiple protest and road-closure threats affecting site access.",
  "scope": "aggregate",
  "threat_ids": [
    "4f5d1cc9-d4cc-49a1-a3fc-5ec93d674bc8",
    "4e91fe4c-0f95-43a2-8a1c-b62cc12df5db"
  ]
}
```


## OpenAPI

````yaml post /v1/incidents
openapi: 3.1.0
info:
  title: Intrace Events Monitoring API
  version: 0.1.0
  description: >
    External asset monitoring and event intelligence API derived from the
    internal

    Intrace events investigations platform.


    This public API is tenant-scoped by API key and intentionally does not
    expose

    internal identifiers such as case_id or investigation_id.
servers:
  - url: https://api.intrace.ai
security:
  - ApiKeyAuth: []
tags:
  - name: Assets
  - name: Threats
  - name: Incidents
  - name: Alerts
  - name: Reports
  - name: Event Intelligence
paths:
  /v1/incidents:
    post:
      tags:
        - Incidents
      summary: Create incident
      operationId: createIncident
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IncidentCreateRequest'
      responses:
        '201':
          description: Incident created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Incident'
components:
  schemas:
    IncidentCreateRequest:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        scope:
          type: string
          enum:
            - investigation
            - aggregate
          default: aggregate
        threat_ids:
          type: array
          items:
            type: string
            format: uuid
      required:
        - title
    Incident:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - open
            - closed
            - resolved
        scope:
          type: string
          enum:
            - investigation
            - aggregate
        started_at:
          type: string
          format: date-time
          nullable: true
        resolved_at:
          type: string
          format: date-time
          nullable: true
        threat_links:
          type: array
          items:
            $ref: '#/components/schemas/IncidentThreatLink'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - title
        - status
        - scope
        - threat_links
        - created_at
        - updated_at
    IncidentThreatLink:
      type: object
      properties:
        id:
          type: string
          format: uuid
        threat_id:
          type: string
          format: uuid
        added_at:
          type: string
          format: date-time
        threat:
          $ref: '#/components/schemas/EventSummary'
      required:
        - id
        - threat_id
        - added_at
    EventSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        severity:
          type: string
        threat_type:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        observed_at:
          type: string
          nullable: true
        coordinates:
          $ref: '#/components/schemas/Coordinates'
      required:
        - id
        - title
        - severity
    Coordinates:
      type: object
      properties:
        lat:
          type: number
        lng:
          type: number
      required:
        - lat
        - lng
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````